Doomsday Engine - Bug #1827

[Doom] Revenant infinite loop case
2014-06-19 00:01 - vermil

Status: New Start date: 2014-06-18
Priority: High % Done: 0%
Assignee:

Category: Defect

Target version: Vanilla / Gameplay

Description

On Map28 of this pwad, something regarding the masses of caged Revenant's causes Dday to sometimes get stuck in an infinite
loop.

It's happened multiple times after they are woken up and by luck, | ended up making a save game seconds before a Revenant or it's
missile is seemingly guaranteed to cause a loop.

http://www.doomworld.com/idgames/index.php?file=levels/doom2/Ports/megawads/nova.zip

History

#1 - 2014-06-19 00:15 - vermil

- File DoomSav0.save added

| have to correct myself above; the loop seems to have nothing to do with the Revenant or it's missile, rather it seems to be the Arch Vile in sector
1003, that is mid attack against another monster, when | saved the game.

| attach another save game, this one from Doom2 Map11; in it | have manipulated an Arch Vile to attack an imp and saved as he is in mid attack.

Upon loading the save, the Arch Vile is immediately struck by another Imp and turns his attack on it. This causes an reproducible infinite loop.

#2 - 2014-06-19 09:31 - danij

Evidently the issue here is mismanagement of the sectors' mobyj list. Somehow a single mobj is being linked into the same sector more than once and
a subsequent unlink results in cyclic linkage.

#3 - 2017-04-03 14:15 - skyjake

- Target version set to Modding

#4 - 2019-11-27 05:51 - skyjake
- Category set to Defect
- Priority changed from Normal to High

- Target version changed from Modding to Vanilla/ Gameplay

Files
DoomSav0.save 89.4 KB 2014-06-18 vermil
DoomSav0.save 17.6 KB 2014-06-19 vermil
